Bug 852522 - [abrt] policycoreutils-restorecond-2.1.4-13.fc16: re_string_allocate: Process /usr/sbin/restorecond was killed by signal 11 (SIGSEGV)
[abrt] policycoreutils-restorecond-2.1.4-13.fc16: re_string_allocate: Process...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: policycoreutils (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
abrt_hash:d33eaf462fd5c0d303e191eca06...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-28 15:28 EDT by igor.redhat@gmail.com
Modified: 2013-02-08 14:27 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-08 14:27:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: maps (8.28 KB, text/plain)
2012-08-28 15:28 EDT, igor.redhat@gmail.com
no flags Details
File: backtrace (73.33 KB, text/plain)
2012-08-28 15:28 EDT, igor.redhat@gmail.com
no flags Details

  None (edit)
Description igor.redhat@gmail.com 2012-08-28 15:28:32 EDT
libreport version: 2.0.10
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        /usr/sbin/restorecond -u
comment:        No idea, it just came out of the blue...
crash_function: re_string_allocate
executable:     /usr/sbin/restorecond
kernel:         3.4.9-1.fc16.x86_64
pid:            2069
pwd:            /home/igor
time:           Tue 28 Aug 2012 03:24:32 PM EDT
uid:            500
username:       igor

backtrace:      Text file, 75091 bytes
maps:           Text file, 8479 bytes

dso_list:
:/usr/sbin/restorecond policycoreutils-restorecond-2.1.4-13.fc16.x86_64 (Fedora Project) 1325562997
:/lib64/libgthread-2.0.so.0.3000.3 glib2-2.30.3-1.fc16.x86_64 (Fedora Project) 1336287546
:/lib64/libselinux.so.1 libselinux-2.1.6-6.fc16.x86_64 (Fedora Project) 1329508597
:/lib64/libglib-2.0.so.0.3000.3 glib2-2.30.3-1.fc16.x86_64 (Fedora Project) 1336287546
:/lib64/libgobject-2.0.so.0.3000.3 glib2-2.30.3-1.fc16.x86_64 (Fedora Project) 1336287546
:/usr/lib64/libffi.so.5.0.10 libffi-3.0.10-1.fc16.x86_64 (Fedora Project) 1316804287
:/lib64/libgmodule-2.0.so.0.3000.3 glib2-2.30.3-1.fc16.x86_64 (Fedora Project) 1336287546
:/lib64/libdbus-1.so.3.5.6 dbus-libs-1:1.4.10-3.fc16.x86_64 (Fedora Project) 1316765880

environ:
:XDG_VTNR=1
:SSH_AGENT_PID=1942
:XDG_SESSION_ID=2
:HOSTNAME=igor-hp
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/home/igor/.gnupg/S.gpg-agent:1966:1
:GLADE_PIXMAP_PATH=:
:XDG_MENU_PREFIX=xfce-
:SHELL=/bin/bash
:TERM=dumb
:XDG_SESSION_COOKIE=80bceb81e0be19877ca8e69f00000014-1345865720.927443-1265664428
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/tmp/keyring-zKoCRF
:IMSETTINGS_MODULE=none
:USER=igor
:SVN_EDITOR=vim_svn.sh
:PYTHONIOENCODING=utf_8
:LD_LIBRARY_PATH=/home/igor/code/Playground/xfce/src/install/lib:
:GLADE_MODULE_PATH=:
:SSH_AUTH_SOCK=/tmp/ssh-jsyNQhzL1802/agent.1802
:USERNAME=igor
:XDG_CONFIG_DIRS=/home/igor/code/Playground/xfce/src/install/etc/xdg:/etc/xdg:/home/igor/code/Playground/xfce/src/install/etc/xdg
:PATH=/home/igor/code/Playground/xfce/src/install/bin:/home/igor/code/Playground/xfce/src/install/lib/xfce4/xfconf:/home/igor/code/Playground/xfce/src/install/lib/xfce4/notifyd:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/igor/.local/bin:/home/igor/bin
:DESKTOP_SESSION=xfce-410
:MAIL=/var/spool/mail/igor
:QT_IM_MODULE=xim
:PWD=/home/igor
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1795
:LANG=en_US.UTF-8
:GDMSESSION=xfce-410
:'HISTIGNORE=&:l:ll:ls:ls -l:[bf]g:vi:cd:cd -:..:-'
:HISTCONTROL=ignoredups
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HOME=/home/igor
:XDG_SEAT=seat0
:SHLVL=3
:LOGNAME=igor
:PRINTER=CUPS-Xerox_Color
:XDG_DATA_DIRS=/home/igor/code/Playground/xfce/src/install/share:/usr/local/share:/usr/share:/home/igor/code/Playground/xfce/src/install/share
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-R3l4fCbTdV,guid=73b3bdb2879f27482ff12dc2000000a9
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/igor
:GLADE_CATALOG_PATH=:
:LIBGLADE_MODULE_PATH=:
:XAUTHORITY=/var/run/gdm/auth-for-igor-jfLOkW/database
:_=/home/igor/code/Playground/xfce/src/install/bin/xfce4-session
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1977,unix/unix:/tmp/.ICE-unix/1977
:DISPLAY=:0.0

smolt_data:
:
:
:General
:=================================
:UUID: e4c0e9ba-4c7b-458a-b3ba-5c54b1bb4f13
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 4387.53
:CPU Vendor: AuthenticAMD
:CPU Model: AMD Turion(tm) 64 X2 Mobile Technology TL-64
:CPU Stepping: 1
:CPU Family: 15
:CPU Model Num: 104
:Number of CPUs: 2
:CPU Speed: 2200
:System Memory: 3829
:System Swap: 5616
:Vendor: Hewlett-Packard
:System: HP Compaq 6715b (RK156AV) F.0E
:Form factor: Notebook
:Kernel: 3.4.9-1.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4098:30998:4156:12482) pci, pcieport, PCI/PCI, RS690 PCI to PCI Bridge (PCI Express Port 2)
:(4098:17289:4156:12482) pci, ohci_hcd, USB, SB600 USB (OHCI2)
:(4098:30992:4156:12482) pci, None, HOST/PCI, RS690 Host Bridge
:(4098:30994:4156:12482) pci, None, PCI/PCI, RS690 PCI to PCI Bridge (Internal gfx)
:(5348:17192:4156:4966) pci, b43-pci-bridge, NETWORK, BCM4321 802.11a/b/g/n Wireless LAN Controller
:(4130:4353:0:0) pci, None, HOST/PCI, K8 [Athlon64/Opteron] Address Map
:(4130:4352:0:0) pci, None, HOST/PCI, K8 [Athlon64/Opteron] HyperTransport Technology Configuration
:(4130:4355:0:0) pci, k8temp, HOST/PCI, K8 [Athlon64/Opteron] Miscellaneous Control
:(4130:4354:0:0) pci, None, HOST/PCI, K8 [Athlon64/Opteron] DRAM Controller
:(4480:1142:4156:12482) pci, yenta_cardbus, PCI/CARDBUS, RL5c476 II
:(4480:2098:4156:12482) pci, firewire_ohci, FIREWIRE, R5C832 IEEE 1394 Controller
:(4098:17280:4098:17280) pci, ahci, STORAGE, SB600 Non-Raid-5 SATA
:(4098:17292:4156:12482) pci, pata_atiixp, STORAGE, SB600 IDE
:(4098:17285:4156:12482) pci, piix4_smbus, SERIAL, SBx00 SMBus Controller
:(4098:17293:4156:12482) pci, None, PCI/ISA, SB600 PCI to LPC Bridge
:(4098:17283:4156:12482) pci, snd_hda_intel, MULTIMEDIA, SBx00 Azalia (Intel HDA)
:(4098:17284:0:0) pci, None, PCI/PCI, SBx00 PCI to PCI Bridge
:(4098:31007:4156:12482) pci, radeon, VIDEO, RS690M [Radeon X1200 Series]
:(4098:17290:4156:12482) pci, ohci_hcd, USB, SB600 USB (OHCI3)
:(4098:17287:4156:12482) pci, ohci_hcd, USB, SB600 USB (OHCI0)
:(4098:17288:4156:12482) pci, ohci_hcd, USB, SB600 USB (OHCI1)
:(4098:17291:4156:12482) pci, ohci_hcd, USB, SB600 USB (OHCI4)
:(4098:17286:4156:12482) pci, ehci_hcd, USB, SB600 USB Controller (EHCI)
:(4098:30996:4156:12482) pci, pcieport, PCI/PCI, N/A
:(4098:30997:4156:12482) pci, pcieport, PCI/PCI, RS690 PCI to PCI Bridge (PCI Express Port 1)
:(5348:5779:4156:12482) pci, tg3, ETHERNET, NetLink BCM5787M Gigabit Ethernet PCI Express
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda5 / ext3 4096 4096 6133379 2529944 2218384 1558560 1217421 1217421
:/dev/sda2 /boot ext3 1024 1024 198337 65135 54895 51200 50955 50955
:/dev/sda4 /home ext3 4096 4096 89903775 55969449 51402590 22839296 21867666 21867666
:

var_log_messages:
:Aug 28 15:24:32 igor-hp kernel: [140885.135881] restorecond[2069]: segfault at 1f0 ip 00007fe8306ad0fa sp 00007fff0e507650 error 4 in libc-2.14.90.so (deleted)[7fe8305db000+1ad000]
:Aug 28 15:24:34 igor-hp abrt[18075]: Saved core dump of pid 2069 (/usr/sbin/restorecond) to /var/spool/abrt/ccpp-2012-08-28-15:24:32-2069 (5169152 bytes)
Comment 1 igor.redhat@gmail.com 2012-08-28 15:28:35 EDT
Created attachment 607683 [details]
File: maps
Comment 2 igor.redhat@gmail.com 2012-08-28 15:28:37 EDT
Created attachment 607684 [details]
File: backtrace
Comment 3 Fedora End Of Life 2013-01-16 08:27:27 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.